bgcorrect {xps} | R Documentation

## Background Correction

### Description

Background corrects probe intensities in an object of class `DataTreeSet`.

### Usage

    bgcorrect(xps.data, filename = character(0), filedir = getwd(), tmpdir = "", update = FALSE, select = "none", method = character(0), option = character(0), exonlevel = "", params = list(), verbose = TRUE)

    bgcorrect.gc(xps.data, filename = character(0), filedir = getwd(), tmpdir = "", update = FALSE, exonlevel = "", select = "antigenomic", verbose = TRUE)

    bgcorrect.mas4(xps.data, filename = character(0), filedir = getwd(), tmpdir = "", update = FALSE, exonlevel = "", verbose = TRUE)

    bgcorrect.mas5(xps.data, filename = character(0), filedir = getwd(), tmpdir = "", update = FALSE, exonlevel = "", verbose = TRUE)

    bgcorrect.rma(xps.data, filename = character(0), filedir = getwd(), tmpdir = "", update = FALSE, exonlevel = "", verbose = TRUE)

    xpsBgCorrect(object, ...)

### Arguments

`xps.data` | object of class `DataTreeSet`.
`filename` | file name of ROOT data file.
`filedir` | system directory where ROOT data file should be stored.
`tmpdir` | optional temporary directory where temporary ROOT files should be stored.
`update` | logical. If `TRUE` the existing ROOT data file `filename` will be updated.
`select` | type of probes to select for background correction.
`method` | background method to use.
`option` | type of background correction to use.
`exonlevel` | exon annotation level determining which probes should be used for summarization; exon/genome arrays only.
`params` | vector of parameters for background method.
`verbose` | logical, if `TRUE` print status information.
`object` | object of class `DataSet`.
`...` | the arguments described above.

### Details

Background corrects probe intensities in an object of class `DataTreeSet`.

`xpsBgCorrect` is the `DataSet` method called by function `bgcorrect`, containing the same parameters.

### Value

An `DataTreeSet`

### Author(s)

Christian Stratowa

### See Also

`express`

### Examples

    ## first, load ROOT scheme file and ROOT data file
    scheme.test3 <- root.scheme(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    data.test3 <- root.data(scheme.test3, paste(.path.package("xps"),"rootdata/DataTest3_cel.root",sep="/"))

    ## MAS4 sector background
    data.bg.mas4 <- bgcorrect.mas4(data.test3,"tmp_Test3MAS4Bgrd",filedir=getwd(),tmpdir="",verbose=FALSE)

    ## need to attach background intensities
    data.bg.mas4 <- attachBgrd(data.bg.mas4)

    ## get data.frame
    bg.mas4 <- validBgrd(data.bg.mas4)
    head(bg.mas4)

    ## plot images
    if (interactive()) {
    image.dev(data.bg.mas4,bg=TRUE,col=rainbow(32))
    image(matrix(bg.mas4[,1], ncol=ncols(schemeSet(data.bg.mas4)), nrow=nrows(schemeSet(data.bg.mas4))))
    }

[Package xps version 1.2.10 Index]